<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddTvsCertificateReq StructType
 * @subpackage Structs
 */
class AddTvsCertificateReq extends APIRequest
{
    /**
     * The tvsCertificate
     * @var XTvsCertificate
     */
    public $tvsCertificate;
    /**
     * Constructor method for AddTvsCertificateReq
     * @uses AddTvsCertificateReq::setTvsCertificate()
     * @param XTvsCertificate $tvsCertificate
     */
    public function __construct(XTvsCertificate $tvsCertificate = null)
    {
        $this
            ->setTvsCertificate($tvsCertificate);
    }
    /**
     * Get tvsCertificate value
     * @return XTvsCertificate|null
     */
    public function getTvsCertificate()
    {
        return $this->tvsCertificate;
    }
    /**
     * Set tvsCertificate value
     * @param XTvsCertificate $tvsCertificate
     * @return AddTvsCertificateReq
     */
    public function setTvsCertificate(XTvsCertificate $tvsCertificate = null)
    {
        $this->tvsCertificate = $tvsCertificate;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddTvsCertificateReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
